Post a pending entry
curl --request POST \
--url https://api.panoqore.example/v1/entries/{id}/post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '{}'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.panoqore.example/v1/entries/{id}/post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/entries/{id}/post"
payload = {}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/entries/{id}/post"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"status": "PENDING",
"kind": "<string>",
"description": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"businessDate": "<string>",
"externalRef": "<string>",
"reversesId": "<string>",
"reversedById": "<string>",
"fxRateId": "<string>",
"holdId": "<string>",
"postings": [
{
"id": "<string>",
"entryId": "<string>",
"accountId": "<string>",
"side": "DEBIT",
"amount": "<string>",
"currency": "<string>",
"seq": 123,
"accountName": "<string>",
"accountCode": "<string>",
"balanceAfter": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"metadata": {},
"createdBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"approvedBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"latePosting": true,
"postedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"statusNote": "<string>"
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Entries
Post a pending entry
Scope: entries:write.
POST
/
v1
/
entries
/
{id}
/
post
Post a pending entry
curl --request POST \
--url https://api.panoqore.example/v1/entries/{id}/post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '{}'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.panoqore.example/v1/entries/{id}/post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.panoqore.example/v1/entries/{id}/post"
payload = {}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.panoqore.example/v1/entries/{id}/post"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"status": "PENDING",
"kind": "<string>",
"description": "<string>",
"effectiveAt": "2023-11-07T05:31:56Z",
"businessDate": "<string>",
"externalRef": "<string>",
"reversesId": "<string>",
"reversedById": "<string>",
"fxRateId": "<string>",
"holdId": "<string>",
"postings": [
{
"id": "<string>",
"entryId": "<string>",
"accountId": "<string>",
"side": "DEBIT",
"amount": "<string>",
"currency": "<string>",
"seq": 123,
"accountName": "<string>",
"accountCode": "<string>",
"balanceAfter": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"metadata": {},
"createdBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"approvedBy": {
"kind": "PERSON",
"id": "<string>",
"displayName": "<string>"
},
"latePosting": true,
"postedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"statusNote": "<string>"
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "INSUFFICIENT_FUNDS",
"message": "<string>",
"details": {},
"request_id": "<string>"
}
}Authorizations
An API key, pk_live_… or pk_test_….
Headers
Your unique key for this write, at most 255 characters. A retry with the same key and body gets the first answer back.
Maximum string length:
255Path Parameters
The id.
Body
application/json
Send {}, or no body.
Response
OK
je_…
Available options:
PENDING, POSTED, VOIDED TRANSFER, PAYOUT, INBOUND_CREDIT, FEE, FX, ADJUSTMENT, REVERSAL, SETTLEMENT …
YYYY-MM-DD in the tenant's zone
Show child attributes
Show child attributes
Who did something: a person signed in to the console, or an API key.
Show child attributes
Show child attributes
set on entries that came through maker-checker
Show child attributes
Show child attributes
why it ended up here: "Voided, hold expired", "To suspense"